Skip to main content
PATCH
Partial company update

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

id
integer<int64>

ID of company you want to update.

externalId
string

External ID of company you want to update.

name
string

Name of company you want to update.

domain
string

Domain of company you want to update.

replaceTags
boolean

Flag which indicates tag replacement operation.

replaceDomains
boolean

Flag which indicates domain replacement operation.

Body

application/json
name
string
required

Company name.

Maximum string length: 255
accountManager
string

Account manager.

Maximum string length: 255
country
string

Country.

Maximum string length: 50
customAttributes
object

List of custom attributes for the company.

customerStage
string

Customer stage.

Maximum string length: 255
domains
string[]

List of domains for the company.

externalId
string

Unique ID for a company from your or another external system, 256 characters max

industry
string

Industry.

Maximum string length: 255
notes
string

Notes.

Maximum string length: 1023
region
string

Region.

Maximum string length: 255
segment
string

Segment.

Maximum string length: 255
serviceData
object

Company's service information.

tags
string[]

List of tags for the company.

vatNumber
string

VAT number.

Maximum string length: 50

Response

successful response

name
string
required

Company name.

Maximum string length: 255
accountManager
string

Account manager.

Maximum string length: 255
country
string

Country.

Maximum string length: 50
createdAt
string
read-only

Date and time of creation. Has the following format: yyyy-MM-dd'T'HH:mm:ss.

customAttributes
object

List of custom attributes for the company.

customerStage
string

Customer stage.

Maximum string length: 255
domains
string[]

List of domains for the company.

externalId
string

Unique ID for a company from your or another external system, 256 characters max

id
integer<int64>
read-only

Unique id of the entity.

industry
string

Industry.

Maximum string length: 255
modifiedAt
string
read-only

Date and time of last modification. Has the following format: yyyy-MM-dd'T'HH:mm:ss.

modifiedFrom
enum<string>

The information which describes the source of the last modification of record.

Available options:
API,
PORTAL,
WEB_SDK,
INTEGRATION,
PUSH,
FACEBOOK,
LINE,
TELEGRAM,
SALESFORCE,
DYNAMICS,
ZAPIER,
FORMS,
COMPUTED,
ANSWERS,
CONVERSATIONS
notes
string

Notes.

Maximum string length: 1023
origin
enum<string>

The information which describes the origin of the record.

Available options:
API,
PORTAL,
WEB_SDK,
INTEGRATION,
PUSH,
FACEBOOK,
LINE,
TELEGRAM,
SALESFORCE,
DYNAMICS,
ZAPIER,
FORMS,
COMPUTED,
ANSWERS,
CONVERSATIONS
region
string

Region.

Maximum string length: 255
segment
string

Segment.

Maximum string length: 255
serviceData
object

Company's service information.

tags
string[]

List of tags for the company.

vatNumber
string

VAT number.

Maximum string length: 50